import { Component, ViewEncapsulation, ViewChild } from '@angular/core';
import { SpreadsheetComponent, SelectEventArgs } from '@syncfusion/ej2-angular-spreadsheet';


@Component({
  selector: 'my-app',
  templateUrl: './app.component.html',
  encapsulation: ViewEncapsulation.None
})
export class AppComponent  { 
  @ViewChild('default')
  public spreadsheetObj: SpreadsheetComponent;
  public openUrl: string = 'http://localhost:55367/home/open';
  public saveUrl: string = 'http://localhost:55367/home/save';
  public customArgs: any;

  onCreated() {
        let request: XMLHttpRequest = new XMLHttpRequest();
        request.responseType = "blob";
        request.onload = () => {
            let file: any = new File([request.response], "Sample1.xlsx");
            this.spreadsheetObj.open({ file: file });
        }
        request.open("GET", "http://localhost:55367/" + "Sample1.xlsx");
        request.send();
  }

  onOpenComplete(args: any) {
    this.customArgs = args.response.data.customArgs;
  }

  onSelect(args: SelectEventArgs) {
    for (var i = 0; i < this.customArgs.length; i++) {
        if (this.spreadsheetObj.activeSheetTab - 1 === this.customArgs[i].sheetIndex && args.range === this.customArgs[i].address + ":" + this.customArgs[i].address) {
            document.getElementById("customvalue").innerHTML = this.customArgs[i].customValue;
            break;
        }
    }
}
}
